View Issue Details

IDProjectCategoryView StatusLast Update
15692Bug reports[All Projects] Menu systempublic2020-01-15 11:59
Reporterbismark Assigned Toollehar  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.21.3 
Target VersionFixed in Version 
Summary15692: SurveymenuEntries::reorderMenu wrong $statistics
Description

change the where clause from

Yii::app()->db->createCommand()
    ->select('MIN(ordering) as loworder, MAX(ordering) as highorder, COUNT(id) as count')
    ->from('{{surveymenu_entries}}')
    ->where(['menu_id = :menu_id'], ['menu_id' => (int) $menuId])
    ->queryRow();

to

Yii::app()->db->createCommand()
    ->select('MIN(ordering) as loworder, MAX(ordering) as highorder, COUNT(id) as count')
    ->from('{{surveymenu_entries}}')
    ->where('menu_id = :menu_id', ['menu_id' => (int) $menuId])
    ->queryRow();
TagsNo tags attached.
Complete LimeSurvey version number (& build)master
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Version10.1.26-MariaDB
Server OS (if known)
Webserver software & version (if known)
PHP Version7.1.8

Activities

bismark

bismark

2020-01-09 11:49

reporter   ~55167

https://github.com/LimeSurvey/LimeSurvey/pull/1362

ollehar

ollehar

2020-01-09 12:39

administrator   ~55172

Please include idiot-safe instructions on how to reproduce the bug, preferably like

  1. Go to survey
  2. Click foo
  3. Etc...
ollehar

ollehar

2020-01-10 15:52

administrator   ~55202

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29320

lime_release_bot

lime_release_bot

2020-01-15 11:59

administrator   ~55271

Fixed in Release 3.21.5+200115

Related Changesets

LimeSurvey: master 67427c6a

2020-01-10 15:52:05

bismark


Committer: ollehar Details Diff
Fixed issue 15692: where-clause in reorderMenu Affected Issues
15692
mod - application/models/SurveymenuEntries.php Diff File

Issue History

Date Modified Username Field Change
2020-01-06 12:02 bismark New Issue
2020-01-09 11:49 bismark Note Added: 55167
2020-01-09 12:39 ollehar Note Added: 55172
2020-01-09 12:39 ollehar Assigned To => ollehar
2020-01-09 12:39 ollehar Status new => feedback
2020-01-10 15:52 ollehar Changeset attached => LimeSurvey master 67427c6a
2020-01-10 15:52 ollehar Note Added: 55202
2020-01-10 15:52 ollehar Resolution open => fixed
2020-01-10 16:03 ollehar Status feedback => resolved
2020-01-15 11:59 lime_release_bot Note Added: 55271
2020-01-15 11:59 lime_release_bot Status resolved => closed